/* eslint-disable no-unused-vars */
import * as schemas from './schemas.d'
/* eslint-enable no-unused-vars */
<%
const responses = $.components.responses
for (const responseName of Object.getOwnPropertyNames(responses).reverse()) {
    const response = responses[responseName]
    if (response.content && response.content["application/json"]) {
        const json = response.content["application/json"]
%>
<%- include('./description.ejs', {description: response.description}) %>export type <%- _.name.pascal(responseName) %> = <%- include('../__common/type/index.ejs', {propertie: json.schema, targetRef: "#/components/responses/", options: {}}) %>
<%
    }
}
%>